/******created by zeyuan.liu on 2016.01.18*****/
function shareObj() {
    this.dmnId = "ws";//应用ID
    this.shareUrl = 'http://cms.newchongqing.com/' + this.dmnId + '/app_share.html?dmnId=' + this.dmnId;
    this.shareAppUrl = 'https://cqliving.cqnews.net/uploads/download/wansheng/index.html';//应用地址
    this.shareSpeUrl = 'http://cms.newchongqing.com/' + this.dmnId + '/app_ztshare.html?';//专题分享地址前缀
    this.QQKey = '1105508144';//QQ分享Key
    this.wxKey = 'wxa1d47e808284ad38';//微信分享Keywx9fb11a24a7af103c
    this.sinaKey = '2580013161';//新浪分享Key
    this.sinaAppId = 'f50d02bdc4ca99e582830546a7d1d61c';//新浪分享密钥
    this.sinaSafeUrl = 'http://www.newchongqing.com';//新浪分享安全回调地址
    this.icon = 'res://icon.png';
    this.shareMsg = '我推荐新版幸福万盛app下载，大家快来啊！';
    this.appName = '幸福万盛';
    this.shareAppTitle = '新版幸福万盛客户端推荐下载';
}

/*
 * 通过短信分享信息*/
shareObj.prototype.shareWithSMS = function() {
    var curObj = this;
    uexSMS.open('', curObj.shareMsg + curObj.shareAppUrl);
};

/*
 * 通过邮件分享信息*/
shareObj.prototype.shareWithEmail = function() {
    var curObj = this;
    uexEmail.open('', curObj.shareAppTitle, curObj.shareMsg + curObj.shareAppUrl, '');
};

/*
 * 通过新浪分享信息
 * @shareType 分享类型 0：表示应用下载地址分享  1：表示新闻内容分享
 * @type 分享类别  inter：表示随拍类型分享    act：表示活动分享  news：表示新闻分享（包括广告） spe:专题分享
 * @objId 分享数据的ObjectId
 * @entityId 分享数据的entityId 
 * @title 分享数据的title
 * @fn 分享成功之后的回调方法*/
shareObj.prototype.shareWithSina = function(shareType, type, objId, entityId, title, fn) {
    var curObj = this;
    /*
     * 新浪分享回调*/
    uexSina.cbShare = function(opId, dataType, data) {
        if (data == 0) {
            openToast('分享成功', 0);
            fn();
        } else {
            openToast('分享失败，请稍后重试', 0);
        }
    };
    /*
     * 新浪注册回调*/
    uexSina.cbRegisterApp = function(opId, dataType, data) {
        if (data == 0) {//注册应用成功
            if (shareType == 0) {//表示分享的应用下载地址
                uexSina.sendImageContent(curObj.icon, curObj.shareMsg + curObj.shareAppUrl);
            } else {
                uexSina.sendImageContent(curObj.icon, title + curObj.getFullUrl(type, objId, entityId));
            }
        } else {
            openToast('授权失败', 0);
        }
    };

    uexSina.registerApp(curObj.sinaKey, curObj.sinaAppId, curObj.sinaSafeUrl);
};

/*
 * 通过QQ分享信息
 * @shareType 分享类型 0：表示应用下载地址分享  1：表示新闻内容分享
 * @type 分享类别  inter：表示随拍类型分享    act：表示活动分享  news：表示新闻分享（包括广告） spe:专题分享
 * @objId 分享数据的ObjectId
 * @entityId 分享数据的entityId
 * @title 分享数据的title
 * @fn 分享成功之后的回调方法*/
shareObj.prototype.shareWithQQ = function(shareType, type, objId, entityId, title, fn) {
    var curObj = this;
    uexQQ.cbShareQQ = function(opId, dataType, data) {
        data = JSON.parse(data);
        if (data.errCode == 0) {
            openToast('分享成功', 0);
            fn();
        } else {
            openToast('分享失败，请稍后重试', 0);
        }
    };
    
    uexQQ.cbIsQQInstalled = function(opId,dataType,data){
        if(data == 0){//表示已安装QQ
            var json = {
                'appName' : curObj.appName,
                'imageUrl' : curObj.icon,
            };
            if (shareType == 0) {
                json.title = curObj.shareAppTitle;
                json.summary = curObj.shareMsg;
                json.targetUrl = curObj.shareAppUrl;
                uexQQ.shareWebImgTextToQQ(curObj.QQKey, JSON.stringify(json));
            } else {
                json.title = title;
                json.summary = curObj.appName;
                json.targetUrl = curObj.getFullUrl(type, objId, entityId);
                uexQQ.shareWebImgTextToQQ(curObj.QQKey, JSON.stringify(json));
            }
        }else{
            //openToast('您还没有安装QQ')
        }
    };
    //检测QQ是否已经安装
    uexQQ.isQQInstalled();
};

/*
 * 通过微信分享信息（微信分享的ICON的分辨率应该在256X256之内，大小在32K之内）
 * @shareType 分享类型 0：表示应用下载地址分享  1：表示新闻内容分享
 * @type 分享类别  inter：表示随拍类型分享    act：表示活动分享  news：表示新闻分享（包括广告） spe:专题分享
 * @objId 分享数据的ObjectId
 * @entityId 分享数据的entityId
 * @title 分享数据的title
 * @sence 微信分享的场景（0:表示会画场景；1:表示朋友圈场景）
 * @fn 分享成功之后的回调方法*/
shareObj.prototype.shareWithWX = function(shareType, type, objId, entityId, title, sence, fn) {
    var curObj = this;
    uexWeiXin.cbShareLinkContent = function(data) {
        if (data == 0) {
            openToast('分享成功', 0);
            fn();
        } else {
            openToast('分享失败，请稍后重试', 0);
        }
    };

    uexWeiXin.cbRegisterApp = function(opId, dataType, data) {
        if (data == 0) {
            var json = {
                'thumbImg' : curObj.icon,
                'scene' : sence
            };
            if (shareType == 0) {
                json.title = curObj.shareAppTitle;
                json.description = curObj.shareAppTitle;
                json.wedpageUrl = curObj.shareAppUrl;
            } else {
                json.title = title;
                json.description = curObj.appName;
                json.wedpageUrl = curObj.getFullUrl(type, objId, entityId);
            }
            uexWeiXin.shareLinkContent(JSON.stringify(json));
        } else {
            openToast('授权失败', 0);
        }
    };
    //注册微信
    uexWeiXin.registerApp(curObj.wxKey);
};

/*
 * 通过腾讯微博分享
 * @shareType 分享类型 0：表示应用下载地址分享  1：表示新闻内容分享
 * @type 分享类别  inter：表示随拍类型分享    act：表示活动分享  news：表示新闻分享（包括广告） spe:专题分享
 * @objId 分享数据的ObjectId
 * @entityId 分享数据的entityId
 * @title 分享数据的title
 * @fn 分享成功之后的回调*/
shareObj.prototype.shareWidthTen = function(shareType, type, objId, entityId, title, fn) {
    var curObj = this;
    uexTent.cbRegisterApp = function(opId, dataType, data) {
        if (data == 0) {
            var txt = '';
            if (shareType == 0) {
                txt = curObj.shareMsg + curObj.shareAppUrl;
            } else {
                txt = title + curObj.getFullUrl(type, objId, entityId);
            }
            uexTent.sendImageContent(curObj.icon, txt);
        } else {
            openToast('授权失败', 0);
        }
    };
    uexTent.cbShare = function(opId, dataType, data) {
        if (data == 0) {
            openToast('分享成功', 0);
            fn();
        } else {
            openToast('分享失败', 0);
        }
    }
};

/*
 * 获取分享的完全地址
 * @type 分享类型  inter:表示随拍类型  act:表示活动类型  news:表示新闻和广告类型  spe:专题类型
 * @objId 分享数据的objectId
 * @entityId 分享数据的entityId
 * @return 完整的分享地址*/
shareObj.prototype.getFullUrl = function(type, objId, entityId) {
    var curObj = this;
    var fullUrl = '';
    switch(type) {
    case 'inter': {
        fullUrl = curObj.shareUrl + '&type=interactive&objectId=' + objId + '&newsId=' + entityId;
        break;
    }
    case 'act': {
        fullUrl = curObj.shareUrl + '&type=active&objectId=' + objId + '&newsId=' + entityId;
        break;
    }
    case 'news': {
        fullUrl = curObj.shareUrl + '&objectId=' + objId + '&newsId=' + entityId;
        break;
    }
    case 'spe': {
        fullUrl = curObj.shareSpeUrl + 'spclId=' + entityId;
        break;
    }
    }
    return fullUrl;
};
