var newsItemTemplate = loadTemplate('mvc/templates/newsItem.html');

var newsItemView = Backbone.View.extend({
    initialize : function(option) {
        this.model.view = this;
        this.render();
    },
    template : newsItemTemplate,
    setNewsImgInLazyLoad : function(ele) {
        var self = this;
        var newsImg = self.model.get("picturesUrls");
        for (var i = 0; i < newsImg.split(',').length; i++) {
            if (newsImg.split(',')[i]) {
                // if(1){
                // //添加lazyLoad相关信息
                // $("img.lazy" + i, ele).data("original", newsImg.split(',')[i]);
                // //执行lazyLoad缓加载
                // $("img.lazy" + i, ele).lazyload({
                // // cache : true
                // });
                // }else{

                //}
            }
        }

    },
    render : function() {
        if (this.template) {
            //模板填充生成DOM
            this.$el = $(this.template(this.model.attributes));
            //this.setNewsImgInLazyLoad(this.$el);
            //资讯列表model点击事件
            var btn_key = 1;
            appcan.button(this.$el, "btn-act", function(e) {
                if (btn_key == 1) {
                    btn_key = 0;
                    var $domObj = $(this).find('div').eq(0);
                    btn_ink($domObj, e);
                    $(this).addClass('c-88');

                    var newsIdVal = $domObj.attr('id');
                    //获取列表mode数据需要的字段数据，并保存以供使用
                    var newsItemInfo = {
                        "newsId" : newsIdVal,
                        "newsTypeId" : $domObj.data('newstypeid'), //或者billBoardTypeId(轮播)
                        "topicId" : $domObj.data('topicid'),
                        "newsTitle" : $domObj.data('newstitle'),
                        "summary" : $domObj.data('summary'),
                        "picturesUrls" : $domObj.data('picturesurls'), //或者boardImgUrl(轮播)
                        "commentNum" : $domObj.data('commentnum'),
                        "linkUrl" : $domObj.data('linkurl'), //如果接口返回无该字段，会自动添加，并为空
                        "isCollect" : $domObj.data('iscollect'), //如果接口返回无该字段，会自动添加，并为空
                    }

                    //传递点击列表信息
                    appcan.locStorage.setVal('newsItemInfo', JSON.stringify(newsItemInfo));
                    if (newsItemInfo.newsTypeId == 2) {
                        //跳转图片新闻展示页面
                        appcan.window.open('home_DetailsPictures', 'home_DetailsPictures.html', 10);
                    } else if (newsItemInfo.newsTypeId == 5) {
                        //跳转专题列表
                        appcan.window.open('spe_page', 'spe_page.html', 10, 1024);
                    } else if (newsItemInfo.newsTypeId == 6) {
                        //跳转栏目
                        //var goColumnId=newsItemInfo.columnId;
                        uexWindow.alert("提示", "无法跳转栏目", "OK");
                        //uexWindow.evaluateScript("index", 0, "openFrame("+goColumnId+")");
                    } else {
                        if($domObj.data('linkurl') != ''){
                            appcan.locStorage.setVal('isLink','1');
                            appcan.locStorage.setVal('linkUrl',$domObj.data('linkurl'));
                        }else{
                            appcan.locStorage.setVal('isLink','0');
                        }
                        appcan.locStorage.val("newsId",newsIdVal);
                        appcan.locStorage.setVal('linkUrl_tit',$domObj.data('newstitle'));
                        //跳转新闻详细页面
                        appcan.window.open("bNewsDetail", "../bNewsDetail.html", 10);
                    }
                    setTimeout(function() {
                        btn_key = 1;
                    }, 1000);
                }
            });

        }
        return this;
    }
});

var newsItemListView = Backbone.View.extend({
    initialize : function() {
        this.listenTo(this.collection, "add", this.add);
        this.listenTo(this.collection, "remove", this.remove);
    },
    collection : new newsCollection(),
    pageNum : 1,
    el : 'ul.newsList',
    add : function(model) {
        var view = new newsItemView({
            model : model
        });
        this.$el.append(view.$el);

    },
    remove : function(model) {
        model.view.remove();
    },
    load : function(type, columnId, conditions) {
        var self = this;

        if (type == 0) {
            this.pageNum = 1;
        }

        //获取接口参数---资讯列表
        // var if_list=if_list=getInterface('newsInfoGetList',columnId,this.pageNum);
        // if(isDefine(conditions)){
        // if_list=if_list=getInterface('newsInfoGetList',columnId,this.pageNum,conditions);
        // }

        var if_list = {
            "transcode" : "newsInfo_getList",
            "content" : {
                "topicClassId" : columnId,
                "deviceType" : 1,
                "listType" : 0,
                "page" : {
                    "pageNo" : this.pageNum,
                    "pageSize" : 10
                }
            }
        }

        console.log(JSON.stringify(if_list));

        this.collection.fetch({
            param : if_list,
            columnId : columnId,
            success : function(cols, resp, options) {
                console.log(columnId + " -->newsItemView返回=====>");
                console.log(resp);
                loader.close();
                uexWindow.closeToast();
                appcan.frame.resetBounce(type);

                if (self.pageNum == 1) {
                    if (cols.length <= 0) {
                        self.$el.html(showNoInfo("暂无数据"));
                    } else {
                        //是否响应缓加载标识
                        (cols.length > 10) ? appcan.locStorage.setVal("isLazyLoadImg_" + columnId, 1) : appcan.locStorage.setVal("isLazyLoadImg_" + columnId, 0);

                        self.pageNum++;
                        self.$el.find('.noInfo').remove();
                    }
                } else {
                    if (res.data.list.length <= 0) {
                        uexWindow.toast(0, 5, "暂无更多数据", 2000);
                    } else {
                        self.pageNum++;
                    }
                }
            },
            error : function(cols, error, options) {
                appcan.frame.resetBounce(type);
                uexWindow.toast(0, 5, "数据获取失败", 2000);
            },
            add : true,
            remove : (type == 0) ? false : true,
            merge : true
        });
    }
});

var newsItemListViewObj = new newsItemListView();

